package com.ruoyi.web.controller.system;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.req.WechatRegisterReq;
import com.ruoyi.system.service.IWechatService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 微信登录相关接口
 */
@RestController
@RequestMapping("/wechat/register")
public class WechatRegisterController {

    private static final Logger logger = LoggerFactory.getLogger(WechatRegisterController.class);

    @Resource
    private IWechatService iWechatService;

    /**
     * @param
     * @return
     */
    @PostMapping("/for/app")
    public AjaxResult wechatRegister(@RequestBody WechatRegisterReq req) {
        logger.info("wechat register, req = [{}]", req);

        return AjaxResult.success();
    }
}
